#ifndef FFUTIL_H
#define FFUTIL_H

#include <QImage>
extern "C"{
#include <libavcodec/avcodec.h>
}

QString videoInfo(QByteArray url, QImage &, int64_t *dur, AVCodecID *);
QString videoTrans(int sw, int sh, int dw, int dh, int cnt, QPointF pos, QByteArray file);
QString audioInfo(QByteArray url, int64_t *dur);

#endif // FFUTIL_H
